         PROFILER PLUS RELEASE NOTES FOR RELEASE 5.8.4
                 Nick Levine, Ravenbrook Limited
                      $Date: 2008/06/30 $


CONTENTS

  1. Introduction
  2. Warning to users of XP SP2 / Adobe Reader 7.0
  3. What's new
     3.1. What's new in release 5.8.4
     3.2. What was new in release 5.8.3
     3.3. What was new in release 5.8.2
     3.4. What was new in release 5.8.1
     3.5. What was new in release 5.8.0
     3.6. What was new in release 5.7.0
     3.7. What was new in release 5.6.2
     3.8. What was new in release 5.6.1
     3.9. What was new in release 5.6.0
     3.10. What was new in release 5.5.4
     3.11. What was new in release 5.5.3
     3.12. What was new in release 5.5.2
     3.13. What was new in release 5.5.1
     3.14. What was new in release 5.5.0
     3.15. Prior releases
  A. References
  B. Document history
  C. Copyright and licence


1. INTRODUCTION

These are the release notes for release 5.8.4 of Social Science
Automation's "Profiler Plus".

This version of Profiler Plus is for "coding only" - in other words it
is intended for users running pre-built schemes and does not support
creation or modification of coding schemes.

Feedback would be most welcomed: dislikes as well as outright
failures. (Praise is nice too.)

The intended readership of this document is both end users and Social
Science Automation staff. This document is not confidential.


1.1. Documentation conventions

All pathnames in this document refer to directories relative to the
directory in which this file resides, unless stated otherwise.



1.2. Further documentation


* Readme (readme.txt)

  The Readme lists product requirements, and describes licensing and
  keyfile restrictions.

* User's Guide (manual/ug/index.txt)

  The user's guide contains full documentation for running the
  application.

* Developer's Guide (manual/dg/index.txt)

  In this context, the role of developers is to configure, build and
  repackage the product for ultimate use by Social Science
  Automation's end users. Therefore the Developer's Guide will
  typically not be distributed to end users.



2. WARNING TO USERS OF XP SP2 / ADOBE READER 7.0

If you are runing XP SP2 and have installed Adobe Reader 7.0, then you
should take particular care not to store any files on the desktop.

If you move the mouse pointer over a file stored on the Desktop in the
Open, Save, or Save As dialog box then, owing to a defect in Windows
XP SP2 which affects users of Adobe Reader 7.0, Profiler (and other
applications) might close abruptly. If this happens you will lose any
unsaved data.

For further details, visit http://support.microsoft.com/?kbid=909486.

You are strongly advised not to save your working files on the
Desktop.


3. WHAT'S NEW

This section lists changes to documented behaviour since previous
releases. It also lists defects that have been fixed.


3.1. What's new in release 5.8.4

* The following defect has been fixed:

    ESSENTIAL

    Application cannot code documents containing "unknown" xml tags

    Customer requests an option which does not signal an error on
    finding <unknown> or <!--whatever--> tags in source documents.


3.2. What was new in release 5.8.3

* The following defects have been fixed:

    ESSENTIAL

    job001723 Hyphenated word terminated by period and double-quotes
    doesn't split the sentence

    Customer says: When a period is followed by a quotation mark as
    in, ["National security lies in self-defence." These words explain
    the importance of national defence.]  there is no sentence break
    between the first and second sentences, which there should be.


    job001724 Enumerations split the sentence

    Customer says: When items are listed with and without
    capitalization, the listing numbers are separated from the rest of
    the sentence.  For example in the lists, 1. a map. 2. water. and
    1. A map. 2. Water the numbers will not appear in the same
    sentence as the items being listed. I think the number should not
    be split from the sentence/item listed.


    job001725 a.m. and p.m. only work when upcased.

    Customer says: When A.M and P.M. are capitalized, they work fine.
    When a.m. and p.m. are lower-case, the sentence splits even when a
    non-capitalized letter follows the "a.m." or "p.m." Although, a.m.
    and p.m. should be capitalized, they are not always, so I think
    the lower-case versions should be treated the same as the
    upper-case versions.


    job001739 Schemes that have been hidden might get deleted.

    Customer says: sometimes schemes we have hidden will be
    deleted. The pattern of behavior for this occurrance is if: One or
    more scheme/s is hidden, one is selected, "Edit" is selected to
    open the configure schemes window, "OK" is selected, the hidden
    scheme is unhidden, no scheme is selected, "Edit" is selected,
    "OK" is selected.


    job001766 There is no way to output the Date field

    You can output both author and - with the appropriate configuration
    set - filename


    OPTIONAL

    job001716 %null% is case sensitive

    Customer says: We found that when any part of %null% is
    capitalized, the rule it is in will not work. There is no error
    message; the rule just simply does not fire. This is true for all
    previous versions of Profiler since 5.5.3, so it's not a new
    issue. Can we make it case insensitive? This may cause future and
    previously written rules to not work, and since there is no error
    message, we wouldn't know they are broken.

    Actually, it's been like this since Ravenbrook's first ever
    Profiler release (0.1.0).


    job001773 Results cannot be written directly to .xml and .html
    files

    Customer asks: Can we have the ability in Profiler Plus to output
    to the extensions .html and .xml so we do not have to manually
    change txt?


    job001781 Sentences which end with a number aren't treated as such

    Customer says: We have found that when a number ends a sentence as
    in "It will end in 2012." The period is not treated as an
    end-of-sentence puncuation, and the following sentence is treated
    as part of the first. Can this be fixed, possibly by stipulating
    that when a capital letter follows the period after a number, it
    is the start of a new sentence?


3.3. What was new in release 5.8.2

* As part of the fix to job001710, note one further configuration:
"Should the application fake a fileDSN?" (documented in section 5.1.5
of the User's Guide).

* The following defects have been fixed:

ESSENTIAL

    job001660 "Anchor" is not of type CODING-GROUP when accessing slot
    AS-SENTENCE.

    Attempt to configure which fields are written to txt output
    files...


    job001661 Tagger doesn't spot a new sentence starting with
    double-quotes if the old one ended that way too.

    Consider: "This?" "No, that"


    job001662 Copying of sentences ending with double exclamation
    carries on to end of document

    If the "original sentence is to be preserved intact", then
    Preserve output for these sentences can generate the whole
    document.


    job001710 Access database pathnames cannot be more than about 137
    characters long

    Customer says:

    "When configuring or running a scheme that has a path name
    containing more than about 137 characters, a window pops up asking
    us to select a database. An example path name is:

    C:\Path Limit Error\1 3 5 7 9 12 15 18 21 24 27 30 33 36 39 42 45
    48 51 54 57 60 63 66\1 3 5 7 9 12 15 18 21 24 27 30 33 36 37 40 43
    5\TokenRules.mdb"

    You can work around this in a manual run by using the popup window
    to select the database, but it can prevent unattended automated
    runs from completing successfully.


    OPTIONAL

    job001711 Honorifics followed by "~" split the sentence

    Customer says: When "Mr." and "Mrs." is followed by a "~" the
    sentence separates after the ".". If the "~" isn't there, the
    sentence does not break.  Alternatively (and oddly), when "Ms." is
    followed by a "~" the sentence does not separate, but does with
    the "~" is not there. We use "~" often in coding news articles,
    and this problem has caused a fair number of headaches recently.


3.4. What was new in release 5.8.1

* Note two new configurations "Should validation slots be enabled?"
(changes to which only take effect next time you start the
application) and "Should the original sentence be preserved intact?".

* The following defects have been fixed:

    ESSENTIAL

    job001653 Error: Item "(POSITION 0 CLASS verb)" not found in
    current environment

    Get this when coding "<variable> <position 0 class=verb> <position
    5 lemma=i>" with <debug> pattern enabled. If <debug> is off the
    error is different: Error: Item "#<Closure
    (OPTIMIZE-POSITION-MATCH . 1) 200987B2>" not found in current
    environment.


    job001656 There aren't enough slots to support testing and
    validation purposes.

    Customer request for additional slots: HC1 ... HC5 and
    PatternNumber


    job001657 Application cannot preserve sentence in original state

    Customer request to 'have the original sentence output instead of
    the "profilered" sentence'


    OPTIONAL

    job001655 Error: "003rule" is not of type CODING-GROUP when
    accessing slot AS-SENTENCE.

    Customer says:
    When we change the name of a table in a coding scheme, then try to
    reconfigure the scheme (when it has already been added to
    Profiler) we get this error message, after which we are not given
    access to the configuration window and have to go into the .cfg
    file to change the name of the table or delete it: "003rule" is
    not of type CODING-GROUP when accessing slot AS-SENTENCE.

    We used to get this warning, after which we were given access into
    the configuration window: (Warning) Discarding 003rule, which
    currently appears in the configuration file but is not present in
    any of the database files.


3.5. What was new in release 5.8.0

* If one or more schemes are selected in the "code documents" window
  when the "configure schemes" dialog is opened then: only those schemes
  will be available in the configuration; the options to add, remove or
  rename schemes (in other words, to change the set of .ini files) will
  be disabled; and on return to the "code documents" window the previous
  sets of hidden and selected schemes will be remembered.

* Configuration to toggle document-as-sentence during a coding
  operation.

* Application now allows <debug> to have more than one subform, even if
  not at top-level.  I.e. <debug> is always an implicit <and>.

* <variable> (i) allows sorting of numbered <token> predicates and
  (ii) now works in wrapper mode.

* <no-repeat> only applies to the current rule.

* <variable-offset> now accepts an "exclude" argument.

* New reduction <unless>, equivalent to <when <not...>>

* The application no longer supports "Reduce" / "Code" annotations in
  coding configuration files.

* New configuration option "Should the full filename be used?" defines
  whether the full path to the filename
  (e.g. 'C:\p4\project\pplus\master\test\texts\casey.pro') or just the
  name itself (e.g. 'casey.pro') should be used for (a) output and (b)
  the filename markup code.

* New configuration option "To what length should strings be abbreviated
  in the stepper display?" allows you to to specify a maximum length for
  slots as shown in the stepper. Abbreviated slots will be shown with
  "[...]" appended. Leave this option set to "No abbreviation" to always
  show every slot in full.

* New configuration options "Should the application record how many
  times each rule is fired?" and "Should the application record details
  of warnings and errors?", along with facilities to generate reports
  based on the recorded information. The latter of these two options
  also controls the logging of "additional information" associated with
  warnings and errors, namely the table name, pattern number, index of
  the token anchored by the pattern, and the reconstructed
  sentence. Running with this option disabled will result in executions
  times up to 20% faster; for compatibility with previous releases this
  option is enabled by default.

* The following defects have been fixed:

    CRITICAL

    job001651 Profiler becomes totally corrupted and dies

    We start with a broken rule <token: 0 slot8: 2slot10: -1 class:
    attack> which attempts to set the "-1" slot of a token. Once this
    has fired, the application becomes very sick, limps on for a
    while, and then dies horribly.


    ESSENTIAL

    job001612 Error: NIL is not of type TAG when accessing slot
    CONTENTS.

    Get this when tagging a period preceded by whitespace at the end
    of the document.


    job001614 Error: No applicable methods for
    #<STANDARD-GENERIC-FUNCTION (SETF RESULT-SENTENCE)> with args
    ("...." #<DB-RESULT ...>)

    Get this error when generating results to Access database with
    "Preserve output" enabled.


    job001620 Tagging fails for the sentence "Help . ."

    The tagging never terminates


    job001625 Error: Dot context error before character

    Defect introduced by patch pre-tag-trailing-punctuation, when
    preprocessing something like:

	it is very popular throughout the South.

	<code>
	Response 2
	RC1 01
	</code>


    job001641 (Error) Cannot locate (FROM \a DISTANCE -7 TRUTHVALUE
    |false|) in match-environment.

    Get this error when <variable-offset> with from/distance is
    contained within <and> or <or>


    job001643 <token> predicates are never sorted

    Customer has requested reintroduction of limited sorting for
    <token> predicates.


    OPTIONAL

    job001206 Application doesn't tell you how many times each table
    fired.

    This would be very useful, would save tedious scripting to count
    lines from the log. Output should be "per run".


    job001642 Full stop after <ignore></ignore> causes following word
    to appear in both sentences

    For instance, in the following the word "And" appears at the end
    of the first sentence, between the "." and the (eos).

	Look, I know we're going to have conflicts, Brit <ignore>
	[Brit Hume, ABC News] </ignore> . And I know we're going to
	run up against each other.


    job001646 Empty slots in stepper (rarely) fill with NIL

    This only happens if every slot is used for at least one token in
    the current step.  Most coding schemes don't do this, which is why
    the condition is so rare.


    job001647 Remote databases may be reloaded unnecessarily

    This happens if the remote server's clock is set ahead and the two
    machines differ as to whether the last file-write-date is in the
    past.


    job001648 Error: The slot CODINGS is missing from #<LOCAL-RESULT
    ... (of class #<STANDARD-CLASS LOCAL-RESULT>), when reading the
    value.

    Get this when coding from a scheme which under 5.6 or previous was
    labeled CodingsOnly.


    job001652 Error: Argument NIL is not of type PATHNAME, STRING, or
    FILE-STREAM.

    Get this on closing the coding configuration dialog, if there were
    rediculously many levels of "..\" in the .ini file.



3.6. What was new in release 5.7.0

* Performance boost of around 20%.

* "Load list..." replaced with "Append list..." in coding pane.

* Full configuration for which fields are output to text file

* Modified debug output

* New pattern <debug>; new modifier <format> for values in reductions.

* The following defects have been fixed:

    ESSENTIAL

    job001271 Batch processing fails without alerting the user

    If the config file doesn't have :documents or
    :initialization-files, pplus should complain


    job001580 Error: - is not of type SEQUENCE.

    Get this with split action with explicit join field, such as:
    <split 1 slot lemma join ->


    OPTIONAL

    job001598 </Ignore> is ignored

    Ignoring carries on to the next </ignore> (thus ignoring too
    much). If there isn't another </ignore> the ignoring falls off the
    end of the document and you get an error.


3.7. What was new in release 5.6.2

* The following defects have been fixed:

    CRITICAL

    job001537 Application closes unexpectedly, if you have XP SP2 and
    Adobe Reader 7.0

    1) Copy a .pro file onto your desktop.
    2) Start Profiler and go to the Coding Pane
    3) Press "Add...", press the Desktop button on the top left of the
    dialog, mouse over the .pro file unto the info popup appears
    4) Cancel the file dialog
    5) Repeat (3), mosuing over the same file as before

    The only workaround available to us is to post a notice to the
    user advising them of this Windows defect and advising them not to
    store files on the dekstop.


    ESSENTIAL

    job001509 Error: Cannot locate (LEMMA |bar|) in match-environment.

    Get an error of this form when using <variable-offset with
    start/end (rather than distance/from) and not specifying a
    newlabel, for example <variable-offset start 0 end 1 lemma=bar>.


    job001517 Yet another: Error: Item "b" not found in current
    environment.

    A reduction such as the following sorts the <token> predicate to
    run first. The error is signalled because item "b" hasn't been set
    yet.

    <variable>
    <token 5 text=outlook NewLabel=a>
    <variable-offset from: a distance: 4 pos=adj NewLabel= b>
    <not token: b class= NOMIFF>
    <token: b text=brilliant>


    job001527 Application doesn't refresh database after changes are
    made in Access

    Customer says: When staff are making many small changes to rules
    and re-running test sentences, Profiler Plus is not picking up the
    changes from Access and reloading the rules. We would like to add
    positive control over this by adding a check box on the code form
    "reload rules on every run" that would force Profiler Plus to
    reload the rules from the coding scheme(s) being used.


    OPTIONAL

    job001538 Errors in the "dmmp tagging" pass are followed by
    further "Expected check word" errors.

    If this first pass fails for any document, then the next pass will
    attempt to read the original document as if it were the binary
    output of the first pass.


    job001539 Error: Required initialization value "Database" not found.

    This condition is signalled if "dump tagging" is enabled but the
    common scheme is empty.



3.8. What was new in release 5.6.1

* The following defects have been fixed:

    ESSENTIAL

    job001211 Tagger output is not preserved

    A new "Dump tagging" setting on the coding pane enables the
    following significant performance enhancement:

    * At the start of each coding run, all the schemes are analyzed
      and a new, temporary scheme is constructed out of their "shared
      head" (by which we mean: working from the start of all the
      schemes, as many tables in common as possible, each table taken
      from tbe same database file by all the schemes).

    * Each document is tagged and then coded against this temporary
      scheme and the results are cached. Note that the temporary
      scheme might be empty and yet this caching is still worthwhile,
      because it removes the need for repeated tagging of each
      document.

    * When it comes to coding against the schemes themselves, these
      cached semi-processed documents are used instead of the
      originals.

    * At the end of the coding run, the temporary scheme and cached
      documents are all deleted.


    job001474 Error: Unknown conjunction or

    The conjunction keyword works with a space but not with a : or =


    job001475 The first file to be coded from a directory sometimes
    gets dropped

    Customer says: We have noticed that the first file to be processed
    from a directory when Coding documents sometimes gets dropped for
    some reason.

    Example:

      2006-06-05 14:52:46.000 -04 (Error) (20040806.pro)
      ensureGenericAll returned error code -4.

      The application cannot guarantee that
      "\\Ssaserv\Collections-Archive\Master\Standard\" is
      world-writable.


    job001476 Step / Trace configuration dialogs don't preserve
    running order

    Customer says: it would be so much nicer if the step dialog
    presented the tables in the current configuration in the order of
    the configuration.


3.9. What was new in release 5.6.0

* Several extensions to the rule engine. Modifiers conjunction,
  <any-slot>, <any-value>, <case>, except to slot/value pairs in
  predicates; extensions to <not-any> and <variable-offset>; new
  actions <if>, <progn>, <clear>, <split>.

* New slots in tokens: slot1, ..., slot7

* Improved logging, in particular for non-local loop errors

* Facility for explicitly converting schemes from Access into the fpl
  format.

* The following defects have been fixed:

    CRITICAL

    job001381 Working with temporary files disables Eudora

    User observes association between use of Profiler Plus - to be
    specific: pressing OK / Apply in Profiler's "schemes
    configuration" tool - and Eudora failing to start up (it complains
    that access is denied to key files, typically "descmap.pce").

    The "Access Control Lists" of these files turn out to be empty -
    you cannot even open them for reading.

    The emergency workaround is to (XP Home) reboot in safe mode and
    restore the ACLs concerned. You have to keep doing this.

    We suspect that this is not an issue with versions of Eudora
    earlier than 7.0, but we haven't been able to test this
    hypothesis.


    OPTIONAL

    job001356 Error: NIL is not of type CONS

    Code an empty document with "treat as single sentence" enabled.


    job001368 double-quote at the end of one word and an uppercase
    letter at the start of the next implies a new sentence

    Consider: "I didn't do it," Bob said.

    Note though that we haven't attempted to resolve the following:

       "Would you like a nice cup of tea?" Nick asked.

       "Would you like a nice cup of tea?" Nick asked whether there
       were any biscuits to go with it.


    job001382 "mouse-down and drag" in the configure coding dialog
    doesn't enable the ">>>" button.

    If you press the mouse over one of the list items in this dialog,
    drag up or down and release, then a number of items have been
    selected but the <<< or >>> buton isn't enabled.


3.10. What was new in release 5.5.4

* The following defects have been fixed:

    ESSENTIAL

    job001250 Error while applying pattern [...]: No applicable
    methods for #<STANDARD-GENERIC-FUNCTION
    GLOBAL-ENVIRONMENT-STEP-CONFIG> with args (<CONTROL-CFG Step T>)

    Get this error during coding when "Preserve Output" is selected


    job001254 (Error) While applying pattern... Argument to
    apply/funcall is not a function: NIL.

    This error occurs in batch mode.


    job001270 Configuration options aren't exposed to batch
    configuration

    There's no way to set options from batch configuration
    files. Available options need documenting in appropriate detail.


    job001276 Error: In a call to SEQ::%SET-ACCESS-ARRAY: 82 is not of
    type SIMPLE-CHAR.

    One particular customer gets this error when loading fpl
    files. Probably related to their location (won't be using a
    "Western" alphabet by default).


    job001289 It's not possible to set conditionality into the iterate
    function

    This would be best resolved by allowing a predicate as the stop:
    value


    job001290 Initial BOP/BOS elements don't carry markup codes

    Customer says: we want to treat the initial bop and bos tokens as
    real tokens not just in the author sense, but to have all the dc
    codes attached to them if possible.


    OPTIONAL

    job001252 document ends with (bos), (eos), (eop)

    Customer notes: the appearance of an extra bos/eos pair at the end
    of my test document before the final eop

    job001253 Tagger can't interpret Newline-whitespace-newline as a
    blank line

    I asked: "Ah, it occurs to me to ask: currently blank-lines is
    interpretted as Newline followed by another Newline. So
    Newline-space-newline doesn't count as a blank. Should I change
    that?" and the answer was: "I think we should change that to
    Newline-whitespace-newline".


    NICE

    job001251 Several self-tests fail when application is started up
    in BOP/EOP mode.

    Tagger tests look for specific sequences of elements immediately
    after the tagging stage, and BOP/EOP gets in the way.


    job001288 Document name is not available to coding schemes

    Customer notes: If you are outputting to delimited txt file then
    the path of each file is included in each row of output. You
    should be able to parse it from there.

    (This is now a configurable option.)



3.11. What was new in release 5.5.3

* The following defect has been fixed:

    CRITICAL

    job001249 Error: Could not register handle for external module
    :CREATE-DIR: 126: The specified module could not be found..

    This error is seen at install time and frequently on subsequent
    startup.

    There is a workaround but it's too disgusting to write down.


3.12. What was new in release 5.5.2

* The following defects have been fixed:

    ESSENTIAL

    job001243 Error: Failed to MAKE-DIRECTORY file
    \\Ssaserv\DEB-Admin\: 53: The network path was not found.(53).

    Get this or similar errors if the network path to a .ini file
    (previously added by the configuration tool) is no longer
    accessible.

    Configuration tool (and sometimes also the coding pane) won't
    open. Application becomes unusable.


    job001244 BOS/EOS markers are "all or nothing"; BOP/EOP makers
    aren't available.

    Customer needs PPlus to insert a token for paragraph breaks (that
    is, a blank line).


    OPTIONAL

    job001205 Same logging configuration applies to all tables

    It would be useful to be able to specify which tables were to be
    logged / traced, this reducing tagger-related clutter.


    job001209 Stepper doesn't highlight changes

    Something like color coding would be a valuable bonus, but in the
    end we settled for a "Back" button which allows for rapid
    comparison between two steps.


    job001231 Error: Illegal pathname ..\..\..\\\Fedora\Schemes\actor
    identification\actor51\actorID2.0.mdb at index 9.

    Get this error on loading a configuration from a drive named by a
    single letter (e.g. the Windows C: drive) with ancilliary files on
    a drive named by a "share name" (e.g. \\Fedora\").


    job001232 Error: Item "b" not found in current environment.

    Get this error if the following pattern fragment is activated:

    <variable-offset from: a distance: 5 text= frob NewLabel= b>
    <variable-offset from: b distance: 4 text= would slot9= %null% NewLabel= c>


    job001247 Another: Error: Item "c" not found in current environment.

    Get this error if the following pattern fragment is activated:

    <variable>
    <token: 0 text= boy NewLabel= a>
    <token: 10 text= store NewLabel= b>
    <variable-offset from: a distance: 5 text= to NewLabel= c>
    <offset from: c distance: 1 text= ran NewLabel= d>


    NICE

    job001245 There are gaps in the sentence count

    Trailing quotes, for example the second double quote in "these two
    words", bump the sentence number up by one.


3.13. What was new in release 5.5.1

* The following defects have been fixed:

    ESSENTIAL

    job001210 Set operator turns empty slots into "NIL"

    They should remain empty.

    This also affects the Token and Insert reductions.


    job001219 No applicable methods for #<STANDARD-GENERIC-FUNCTION
    (SETF CAPI:INTERFACE-GEOMETRY-CHANGE-CALLBACK) 20F14322> with args
    (#<closure (SUBFUNCTION 1 INITIALIZE-DISPLAY-STEP-HEAD) 206818E2>
    NIL)

    This error comes up every time you try to use the stepper.


    job001220 Self / In-group navigation is difficult

    Customer asks:

    1) A better way is needed to navigate between authors. Perhaps the
    author field could be a list box to select from all authors with
    entries in the database and the next and previous buttons limited
    to pages for that author.

    2) As there is no "beginning" button, perhaps the "end" button
    should be a "new" button?


    job001221 Self / In-group doesn't permit spaces in author names

    Customer says: The author name cannot have spaces. However, PPlus
    allows spaces in the markup window. To ensure compatibility the
    Self/ingroup mechanism should handle spaces in the author name.

    Note that for further consistency still, we will now support
    spaces in reductions too, e.g. to allow
	  <codes author= |William Shakespeare|>


    job001224 Error: Failed to MAKE-DIRECTORY file
    \\Ssaserv\DEB-Admin\: 53: The network path was not found.(53).

    Get this error when attempting to ensure that directories exist
    for a pathname which is inaccessible (e.g. disconnected network
    share) or for which the requisite permissions are lacking.


    job001225 Self/in-group rules only test the text slot

    Customer says: We need self/in-group mechanism to create rules
    that test both the text and lemma slots for the target string.


    job001227 not-any rejects empty sequences, also rejects start
    beyond end.

    Customer says: We will need to change how not-any operates. In the
    case that there are no tokens between start: and end: not-any
    should be considered to be satisfied and allow the rule to fire.


    job001228 Step configuration won't accept that it's been cancelled

    If you cancel the step configuration tool it comes back after each
    table, until you accept one or more tables.


    OPTIONAL

    job001207 There's no simple way to abort a coding run

    If some error dialog keeps repeating, it's very hard to get
    underneath that to the Halt button.


    job001218 different and equal match strings case sensitively

    Customer says: I have strong suspicions that different and equal
    match strings case sensitively, so that "We" =/= "we". We have a
    workaround for now, but it would be very nice to get this fixed.


    job001222 "Load" and "Save as" buttons are misplaced / misnamed.

    Customer says, with regard to the Code documents window: Change
    the "load" button to "load list" and the save button to "save list
    as" move both to the bottom of the list so that "add" is once
    again at the top.


    job001223 There's no "Close" button in the "code documents"
    window.

    Customer says: The Code documents window needs a "close" button at
    the bottom right.


    job001226 Only one table in a shared results database is dropped.

    Profiler does not drop all of the results tables if two or more
    coding schemes are run at the same time and the results tables go
    to the same Access database.



3.14. What was new in release 5.5.0

* A new tool for managing Self / In-Group references

* The following defect has been fixed:

    ESSENTIAL

    job001212 Application is unusable at low resolutions

    We need to work down to 640 x 480


3.15. Prior releases.

Profiler Plus 5 is a wholly new implementation of Profiler Plus.

5.0.0 was the first release of Profiler Plus 5.

For details of the 14 releases from 5.0.0 through to 5.5.4, see the
release notes accompanying release 5.5.4.





A. REFERENCES


B. DOCUMENT HISTORY

2003-12-12 NDL Created. Prepared for prototype 0.x releases.

2004-03-05 NDL Revised for 5.0 releases.

2004-04-26 NDL Revised for 5.1 releases.

2004-05-13 NDL Revised for 5.2 releases.

2004-05-26 NDL Revised for 5.3 releases.

2005-04-06 NDL Revised for 5.4 releases.

2005-06-13 NDL Revised for 5.5 releases.

2006-05-12 NDL Revised for 5.6 releases. Notes for releases prior to
5.5.0 removed.

2006-08-09 NDL Updated for 5.6.1.

2006-12-08 NDL Updated for 5.6.2.

2007-02-07 NDL Revised for 5.7 releases.

2007-05-11 NDL Revised for 5.8 releases.

2007-06-01 NDL Updated for 5.8.1.

2007-09-13 NDL Updated for 5.8.2.

2008-03-07 NDL Updated for 5.8.3.

2008-06-30 NDL Updated for 5.8.4.



C. COPYRIGHT AND LICENCE

Copyright (c) 2003-2008 Social Science Automation, Inc.  This document
is provided "as is", without any express or implied warranty. In no
event will the authors be held liable for any damages arising from the
use of this document. You may not duplicate or reproduce this document
in any form without the express permission of the copyright holder.

$Id: //info.ravenbrook.com/project/pplus/version/5.8/release-notes.txt#10 $
